Deploy Sahara using unversioned endpoints

Bug #1782147 reported by Luigi Toscano on 2018-07-17
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Packstack
Undecided
Luigi Toscano
kolla-ansible
Undecided
zhongshengping
openstack-ansible
Medium
Luigi Toscano
puppet-openstack-integration
Medium
Luigi Toscano
puppet-sahara
Medium
Luigi Toscano
tripleo
Medium
Luigi Toscano

Bug Description

Copying from https://review.openstack.org/#/c/582285/ :

 Sahara APIv2 is reaching a point of maturity. Therefore, new deployments
 should include an **unversioned** endpoint in the service catalog for the
 "data-processing" service, for the purposes of more intuitive version
 discovery. Eventually existing deployments should switch to an unversioned
 endpoint, too, but only after time is given for the use of older clients
 to be less likely.

Thanks to https://review.openstack.org/536002 , Sahara can use unversioned a endpoint also for the current API, and they should be used by default.

Marc Gariépy (mgariepy) on 2018-07-17
Changed in openstack-ansible:
status: New → Triaged
importance: Undecided → Medium
assignee: nobody → Luigi Toscano (ltosky)

Fix proposed to branch: master
Review: https://review.openstack.org/583310

Changed in openstack-ansible:
assignee: Luigi Toscano (ltosky) → Luigi Toscano (ltoscano)
status: Triaged → In Progress
Changed in puppet-sahara:
assignee: nobody → Luigi Toscano (ltoscano)
status: New → In Progress
Changed in puppet-openstack-integration:
assignee: nobody → Luigi Toscano (ltoscano)
status: New → In Progress

Fix proposed to branch: master
Review: https://review.openstack.org/583890

Changed in tripleo:
assignee: nobody → Luigi Toscano (ltoscano)
status: New → In Progress
Changed in tripleo:
milestone: none → rocky-3
importance: Undecided → Medium
Changed in puppet-openstack-integration:
milestone: none → rocky
importance: Undecided → Medium
Changed in puppet-sahara:
importance: Undecided → Medium
Changed in tripleo:
milestone: rocky-3 → rocky-rc1
Changed in tripleo:
milestone: rocky-rc1 → stein-1

Reviewed: https://review.openstack.org/583310
Committed: https://git.openstack.org/cgit/openstack/openstack-ansible-os_sahara/commit/?id=98c27423a9fdf22636eb7ec0e5a57a258e622dba
Submitter: Zuul
Branch: master

commit 98c27423a9fdf22636eb7ec0e5a57a258e622dba
Author: Luigi Toscano <email address hidden>
Date: Wed Jul 18 02:05:55 2018 +0200

    Deploy Sahara with unversioned endpoints

    Sahara supports unversioned endpoint also for the stable API v1.1,
    and this is a requirement in order to use the experimental API v2.
    See https://review.openstack.org/#/c/582285/ for more details.

    Following the pattern used for other services with unversioned
    endpoints, the sahara_service_*uri variables are directly and all
    sahara_service_*url can thus be removed.

    Closes-Bug: #1782147
    Change-Id: I2d4477de6a3ad58fe58152b18e18a9a6dffdafd4

Changed in openstack-ansible:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/603642
Committed: https://git.openstack.org/cgit/openstack/openstack-ansible-os_sahara/commit/?id=91fb275e5aff25084abc5678050b26f5da053e77
Submitter: Zuul
Branch: stable/rocky

commit 91fb275e5aff25084abc5678050b26f5da053e77
Author: Luigi Toscano <email address hidden>
Date: Wed Jul 18 02:05:55 2018 +0200

    Deploy Sahara with unversioned endpoints

    Sahara supports unversioned endpoint also for the stable API v1.1,
    and this is a requirement in order to use the experimental API v2.
    See https://review.openstack.org/#/c/582285/ for more details.

    Following the pattern used for other services with unversioned
    endpoints, the sahara_service_*uri variables are directly and all
    sahara_service_*url can thus be removed.

    Closes-Bug: #1782147
    Change-Id: I2d4477de6a3ad58fe58152b18e18a9a6dffdafd4
    (cherry picked from commit 98c27423a9fdf22636eb7ec0e5a57a258e622dba)

tags: added: in-stable-rocky
Changed in tripleo:
milestone: stein-1 → stein-2
Changed in tripleo:
milestone: stein-2 → stein-3

Reviewed: https://review.openstack.org/583881
Committed: https://git.openstack.org/cgit/openstack/puppet-sahara/commit/?id=9b5d759255188c56065c8aedfaccbf317c4284d7
Submitter: Zuul
Branch: master

commit 9b5d759255188c56065c8aedfaccbf317c4284d7
Author: Luigi Toscano <email address hidden>
Date: Fri Jan 25 17:36:52 2019 +0100

    Deploy Sahara with unversioned endpoints

    Sahara supports unversioned endpoint also for the current API v1.1,
    and deploying with unversioned endpoints is a better setting
    if people want to use both API v1.1 and the (soon-stable) API v2
    at the same time.
    See https://review.openstack.org/#/c/582285/ for more details.

    Depends-On: https://review.openstack.org/633162
    Closes-Bug: #1782147
    Change-Id: I50c87c03c4a1524246562cc849432e50a1e809ce

Changed in puppet-sahara:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/583884
Committed: https://git.openstack.org/cgit/openstack/packstack/commit/?id=05f0ec3f1f7d42d17408ec1e66d528252e7db3c7
Submitter: Zuul
Branch: master

commit 05f0ec3f1f7d42d17408ec1e66d528252e7db3c7
Author: Luigi Toscano <email address hidden>
Date: Thu Jan 24 12:02:28 2019 +0100

    Deploy Sahara with unversioned endpoints

    Sahara supports unversioned endpoint also for the current API v1.1,
    and deploying with unversioned endpoints is a better setting
    if people want to use both API v1.1 and the (soon-stable) API v2
    at the same time.
    See https://review.openstack.org/#/c/582285/ for more details.

    Closes-Bug: #1782147
    Change-Id: Iab7db3d03a63c2a21c63fcb34e8322ec58a94a02

Changed in packstack:
status: New → Fix Released
Luigi Toscano (ltoscano) on 2019-02-05
Changed in packstack:
assignee: nobody → Luigi Toscano (ltoscano)
zhongshengping (chdzsp) on 2019-03-04
Changed in kolla-ansible:
assignee: nobody → zhongshengping (chdzsp)

Fix proposed to branch: master
Review: https://review.openstack.org/640668

Changed in kolla-ansible:
status: New → In Progress

Change abandoned by Luigi Toscano (<email address hidden>) on branch: master
Review: https://review.openstack.org/583888
Reason: Superseded by https://review.openstack.org/#/c/640668/

Reviewed: https://review.openstack.org/640668
Committed: https://git.openstack.org/cgit/openstack/kolla-ansible/commit/?id=008e2b15ec9c31bfb516839106c1e00f87fca34c
Submitter: Zuul
Branch: master

commit 008e2b15ec9c31bfb516839106c1e00f87fca34c
Author: ZhongShengping <chdzsp@163.com>
Date: Mon Mar 4 14:10:01 2019 +0800

    Deploy Sahara with unversioned endpoints

    Sahara supports unversioned endpoint also for the current API v1.1,
    and deploying with unversioned endpoints is a better setting
    if people want to use both API v1.1 and the (soon-stable) API v2
    at the same time.
    See https://review.openstack.org/#/c/582285/ for more details.

    Change-Id: I0f3ed4674f9629963e0a10118ad5d9b194fd4661
    Closes-Bug: #1782147

Changed in kolla-ansible:
status: In Progress → Fix Released

Reviewed: https://review.openstack.org/583890
Committed: https://git.openstack.org/cgit/openstack/tripleo-heat-templates/commit/?id=bb4f86fc009d1e5e3d78241c53b3b6a3dda8b0da
Submitter: Zuul
Branch: master

commit bb4f86fc009d1e5e3d78241c53b3b6a3dda8b0da
Author: Luigi Toscano <email address hidden>
Date: Fri Jan 25 22:48:28 2019 +0100

    Deploy Sahara with unversioned endpoints

    Sahara supports unversioned endpoint also for the current API v1.1,
    and deploying with unversioned endpoints is a better setting
    if people want to use both API v1.1 and the (soon-stable) API v2
    at the same time.
    See https://review.openstack.org/#/c/582285/ for more details.

    Closes-Bug: #1782147
    Change-Id: Iec6cda460d1e3ed6ec4efa28c52a263876facbc1

Changed in tripleo:
status: In Progress → Fix Released
Luigi Toscano (ltoscano) wrote :

See https://review.openstack.org/#/c/583883/, merged - not sure why the integration did not work and the bug is still open.

Changed in puppet-openstack-integration:
status: In Progress → Fix Released

This issue was fixed in the openstack/puppet-sahara 14.3.0 release.

This issue was fixed in the openstack/kolla-ansible 8.0.0.0rc1 release candidate.

This issue was fixed in the openstack/tripleo-heat-templates 10.5.0 release.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers